<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <ProjectOptions>
    <Version Value="11"/>
    <General>
      <SessionStorage Value="InProjectDir"/>
      <MainUnit Value="0"/>
      <Title Value="MinigolfeeCheck"/>
      <ResourceType Value="res"/>
      <UseXPManifest Value="True"/>
      <XPManifest>
        <TextName Value="Cigydd.MinigolfeeCheck.MinigolfeeCheck"/>
        <TextDesc Value="A tiny miniature golf simulation game."/>
      </XPManifest>
      <Icon Value="0"/>
    </General>
    <i18n>
      <EnableI18N Value="True"/>
      <OutDir Value="i18n"/>
    </i18n>
    <VersionInfo>
      <UseVersionInfo Value="True"/>
      <AutoIncrementBuild Value="True"/>
      <RevisionNr Value="1"/>
      <BuildNr Value="4"/>
      <StringTable Comments="Play miniature golf on fancy tracks" CompanyName="Cigydd" FileDescription="A miniature golf simulation game" InternalName="MinigolfeeCheck" LegalCopyright=" ↄ⃝ &amp;© Pavel Řezníček 2000–2019, GNU/GPL 2+"/>
    </VersionInfo>
    <CustomData Count="13">
      <Item0 Name="lazpackager/copyright" Value=" ↄ⃝ &amp;© Pavel Řezníček 2000–2019, GNU/GPL"/>
      <Item1 Name="lazpackager/deb/ppa" Value="ppa:cigydd/minigolfeecheck"/>
      <Item2 Name="lazpackager/deb/series" Value="bionic"/>
      <Item3 Name="lazpackager/deb/tpl_changelog" Value="?PACKAGE_NAME? (?FULLVERSION?) ?SERIES?; urgency=low

  * Original version ?VERSION? packaged with lazdebian

 -- ?MAINTAINER? &lt;?MAINTAINER_EMAIL?>  ?DATER?
"/>
      <Item4 Name="lazpackager/deb/tpl_control" Value="Source: ?PACKAGE_NAME?
Maintainer: ?MAINTAINER? &lt;?MAINTAINER_EMAIL?>
Section: misc
Priority: optional
Standards-Version: 4.1.4
Build-Depends: fpc, lazarus, lcl, lcl-utils, debhelper (>= 9)

Package: ?PACKAGE_NAME?
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: ?DESCRIPTION?
 ?DESCRIPTION_LONG?
"/>
      <Item5 Name="lazpackager/deb/tpl_copyright" Value="Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/

Files: *
Copyright: ?COPYRIGHT?
License: GPL-2+
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 at your option) any later version.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License along
 with this program; if not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 /usr/share/common-licenses/GPL-2
"/>
      <Item6 Name="lazpackager/deb/tpl_rules" Value="#!/usr/bin/make -f

ROOT = $(CURDIR)/debian/?PACKAGE_NAME?

override_dh_auto_clean:
	$(RM) -r lib
	$(RM) lib *.res ?EXECUTABLE?

override_dh_auto_build:
	lazbuild --pcp=/tmp/.lazarus ?PROJECT?

override_dh_auto_install:
	GAMES_DIR=$(ROOT)/usr/games/?PACKAGE_NAME?
	install -d -m 755 $GAMES_DIR
	install -s -m 755 ?EXECUTABLE? $GAMES_DIR
	ln -s $GAMES_DIR/?EXECUTABLE? $(ROOT)/usr/bin
	install -d -m 755 $GAMES_DIR/Sounds
	install    -m 644 Sounds/*.wav $GAMES_DIR/Sounds
	install -d -m 755 $GAMES_DIR/Elements/Basic
	install    -m 644 Elements/Basic/*.tec $GAMES_DIR/Elements/Basic
	install    -m 644 Elements/Basic/*.png $GAMES_DIR/Elements/Basic
	install -d -m 755 $GAMES_DIR/Tracks
	install    -m 644 Tracks/*.track $GAMES_DIR/Tracks
	install    -m 644 Tracks/*.png   $GAMES_DIR/Tracks

%:
	dh $@
"/>
      <Item7 Name="lazpackager/description" Value="this is a program"/>
      <Item8 Name="lazpackager/description_long" Value="long description may not be empty!"/>
      <Item9 Name="lazpackager/export_cmd" Value="?CP? *.lpi ?TEMPFOLDER?/
?CP? *.lpr ?TEMPFOLDER?/
?CP? *.pas ?TEMPFOLDER?/
?CP? *.lfm ?TEMPFOLDER?/
?CP? *.ico ?TEMPFOLDER?/
mkdir ?TEMPFOLDER?/Sounds
?CP? Sounds/*.wav ?TEMPFOLDER?/Sounds/
mkdir -p ?TEMPFOLDER?/Elements/Basic
?CP? Elements/Basic/*.tec ?TEMPFOLDER?/Elements/Basic/
?CP? Elements/Basic/*.png ?TEMPFOLDER?/Elements/Basic/
mkdir ?TEMPFOLDER?/Tracks
?CP? Tracks/*.track ?TEMPFOLDER?/Tracks
?CP? Tracks/*.png ?TEMPFOLDER?/Tracks
"/>
      <Item10 Name="lazpackager/maintainer" Value="Pavel Řezníček"/>
      <Item11 Name="lazpackager/maintainer_email" Value="pavel.reznicek@evangnet.cz"/>
      <Item12 Name="lazpackager/package_name" Value="minigolfeecheck"/>
    </CustomData>
    <BuildModes Count="1">
      <Item1 Name="Default" Default="True"/>
    </BuildModes>
    <PublishOptions>
      <Version Value="2"/>
    </PublishOptions>
    <RunParams>
      <FormatVersion Value="2"/>
      <Modes Count="1">
        <Mode0 Name="default"/>
      </Modes>
    </RunParams>
    <RequiredPackages Count="3">
      <Item1>
        <PackageName Value="SQLDBLaz"/>
      </Item1>
      <Item2>
        <PackageName Value="playwavepackage"/>
      </Item2>
      <Item3>
        <PackageName Value="LCL"/>
      </Item3>
    </RequiredPackages>
    <Units Count="21">
      <Unit0>
        <Filename Value="MinigolfeeCheck.lpr"/>
        <IsPartOfProject Value="True"/>
      </Unit0>
      <Unit1>
        <Filename Value="ufrmminigolfeecheck.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmMinigolfeeCheck"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmMinigolfeeCheck"/>
      </Unit1>
      <Unit2>
        <Filename Value="umgshareditems.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="uMGSharedItems"/>
      </Unit2>
      <Unit3>
        <Filename Value="ubuffer.pas"/>
        <IsPartOfProject Value="True"/>
      </Unit3>
      <Unit4>
        <Filename Value="umgbasictypes.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="uMGBasicTypes"/>
      </Unit4>
      <Unit5>
        <Filename Value="uxyobj.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="uXYObj"/>
      </Unit5>
      <Unit6>
        <Filename Value="umgsettings.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="uMGSettings"/>
      </Unit6>
      <Unit7>
        <Filename Value="ufrmbouncingedgepattern.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmBouncingEdgePattern"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
      </Unit7>
      <Unit8>
        <Filename Value="ufrmforces.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmForces"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmForces"/>
      </Unit8>
      <Unit9>
        <Filename Value="ufrmcrosssection.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmCrossSection"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmCrossSection"/>
      </Unit9>
      <Unit10>
        <Filename Value="ufrmsettings.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmSettings"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmSettings"/>
      </Unit10>
      <Unit11>
        <Filename Value="udm.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="DM"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="DataModule"/>
        <UnitName Value="uDM"/>
      </Unit11>
      <Unit12>
        <Filename Value="ufrmtrackeditor.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmTrackEditor"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmTrackEditor"/>
      </Unit12>
      <Unit13>
        <Filename Value="ufrmcollection.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmCollection"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
      </Unit13>
      <Unit14>
        <Filename Value="ufrmelementeditor.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmElementEditor"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
      </Unit14>
      <Unit15>
        <Filename Value="ufrminfo.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmInfo"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmInfo"/>
      </Unit15>
      <Unit16>
        <Filename Value="umgutils.pas"/>
        <IsPartOfProject Value="True"/>
        <UnitName Value="uMGUtils"/>
      </Unit16>
      <Unit17>
        <Filename Value="ufrmresults.pas"/>
        <IsPartOfProject Value="True"/>
        <ComponentName Value="FrmResults"/>
        <HasResources Value="True"/>
        <ResourceBaseClass Value="Form"/>
        <UnitName Value="uFrmResults"/>
      </Unit17>
      <Unit18>
        <Filename Value="README.md"/>
        <IsPartOfProject Value="True"/>
      </Unit18>
      <Unit19>
        <Filename Value="IDEAS.md"/>
        <IsPartOfProject Value="True"/>
      </Unit19>
      <Unit20>
        <Filename Value="LICENSE"/>
        <IsPartOfProject Value="True"/>
      </Unit20>
    </Units>
  </ProjectOptions>
  <CompilerOptions>
    <Version Value="11"/>
    <PathDelim Value="\"/>
    <Target>
      <Filename Value="MinigolfeeCheck"/>
    </Target>
    <SearchPaths>
      <IncludeFiles Value="$(ProjOutDir)"/>
      <UnitOutputDirectory Value="lib\$(TargetCPU)-$(TargetOS)"/>
    </SearchPaths>
    <Linking>
      <Options>
        <Win32>
          <GraphicApplication Value="True"/>
        </Win32>
      </Options>
    </Linking>
  </CompilerOptions>
  <Debugging>
    <Exceptions Count="3">
      <Item1>
        <Name Value="EAbort"/>
      </Item1>
      <Item2>
        <Name Value="ECodetoolError"/>
      </Item2>
      <Item3>
        <Name Value="EFOpenError"/>
      </Item3>
    </Exceptions>
  </Debugging>
</CONFIG>
